Skip to content

Get migration period draw data

Request

Security
oauth2(Required scopes: loan.migration.period:get) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

drawIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The draw identifier.

GET
/people/{personId}/loans/{loanId}/draws/{drawId}/migration/period
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/draws/{drawId}/migration/period' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Migration period draw data

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(MigrationPeriodDrawData)
Response
{ "message": "string", "status": 0, "data": { "balances": {}, "gracePeriod": {}, "obligation": {}, "migratedOverdueAmount": 0.1 } }